Debian Bug report logs - #599303
ktoon: KToon crashes with Signal 11

version graph

Package: ktoon; Maintainer for ktoon is Juan Manuel Garcia Molina <juanma@debian.org>;

Reported by: Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>

Date: Wed, 6 Oct 2010 14:30:02 UTC

Severity: grave

Tags: patch

Fixed in version 0.8.1-4.1

Done: "Didier 'OdyX' Raboud" <didier@raboud.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#599303; Package ktoon. (Wed, 06 Oct 2010 14:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>:
New Bug report received and forwarded. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Wed, 06 Oct 2010 14:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>
To: submit@bugs.debian.org
Subject: ktoon: KToon crashes with Signal 11
Date: Wed, 6 Oct 2010 09:28:12 -0500
[Message part 1 (text/plain, inline)]
Subject: ktoon: KToon crashes with Signal 11
Package: ktoon
Version: 0.8.1-4.1+b1
Justification: renders package unusable
Severity: grave

*** Please type your report below this line ***
KToon in Sid and in Squeeze (Testing) are unable to open.  I get a blank window that opens in KDE but there is nothing in it; from the CLI my output is:

jthomas@jthomas:09:05:~$ ktoon 
[Initializing DApplication]
[Initializing DConfig]
[Initializing DConfigDocument]
*********Init configuration file : "/home/jthomas/.ktoon/ktoon.cfg"
ktoon(4166)/ KSycocaPrivate::openDatabase: Trying to open ksycoca from  "/var/tmp/kdecache-jthomas/ksycoca4"
ktoon(4166)/ KSharedDataCache::Private::mapSharedMemory: Opening cache "/var/tmp/kdecache-jthomas/icon-cache.kcache" page size is 4096
ktoon(4166)/ KSharedDataCache::Private::mapSharedMemory: Attached to cache, determining if it must be initialized
ktoon(4166)/ KSharedDataCache::Private::mapSharedMemory: Cache fully initialized -- attached to memory mapping
ktoon(4166)/ KSharedDataCache::Private::mapSharedMemory: 4403200 bytes available out of 10485760
ktoon is crashing with signal 11 :(
^C
#
#jthomas@jthomas:09:05:~$


Thanks for Debian and the great packaging of KDE!


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ktoon depends on:
ii  libaspell15             0.60.6-4         GNU Aspell spell-checker runtime l
ii  libavcodec52            4:0.5.2-6        ffmpeg codec library
ii  libavformat52           4:0.5.2-6        ffmpeg file format library
ii  libavutil49             4:0.5.2-6        ffmpeg utility library
ii  libc6                   2.11.2-6         Embedded GNU C Library: Shared lib
ii  libgcc1                 1:4.4.5-2        GCC support library
ii  libgl1-mesa-glx [libgl1 7.7.1-4          A free implementation of the OpenG
ii  libqt4-opengl           4:4.6.3-2        Qt 4 OpenGL module
ii  libqt4-xml              4:4.6.3-2        Qt 4 XML module
ii  libqtcore4              4:4.6.3-2        Qt 4 core module
ii  libqtgui4               4:4.6.3-2        Qt 4 GUI module
ii  libstdc++6              4.4.5-2          The GNU Standard C++ Library v3
ii  libswscale0             4:0.5.2-6        ffmpeg video scaling library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

ktoon recommends no packages.

ktoon suggests no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#599303; Package ktoon. (Wed, 06 Oct 2010 14:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Wed, 06 Oct 2010 14:39:07 GMT) Full text and rfc822 format available.

Message #10 received at 599303@bugs.debian.org (full text, mbox):

From: Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>
To: 599303@bugs.debian.org
Subject: KToon has no -dbg package
Date: Wed, 6 Oct 2010 09:35:58 -0500
[Message part 1 (text/plain, inline)]
Additionally there is no debug (ktoon-dbg) package available
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#599303; Package ktoon. (Fri, 08 Oct 2010 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <mindboosternoori@gmail.com>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Fri, 08 Oct 2010 10:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 599303@bugs.debian.org (full text, mbox):

From: Marcos Marado <mindboosternoori@gmail.com>
To: 599303@bugs.debian.org
Subject: Re: ktoon: KToon crashes with Signal 11
Date: Fri, 8 Oct 2010 11:47:46 +0100
Hi there,

Just to add that while ktoon doesn't run in a testing environment, the testing 
package runs well on a lenny environment. 

-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#599303; Package ktoon. (Sun, 10 Oct 2010 14:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Sun, 10 Oct 2010 14:57:04 GMT) Full text and rfc822 format available.

Message #20 received at 599303@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 599303@bugs.debian.org, 599303-submitter@bugs.debian.org
Subject: Re: #599303 - ktoon: KToon crashes with Signal 11
Date: Sun, 10 Oct 2010 16:48:25 +0200
Hi Jeffrey,

I am unable to reproduce your ktoon bug. Neither on Sid-amd64, nor on
Squeeze-amd64 or Squeeze-i386.
Do you maybe have an old config or something, that makes ktoon go crazy?

Regards
Evgeni




Message sent on to Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>:
Bug#599303. (Sun, 10 Oct 2010 14:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#599303; Package ktoon. (Mon, 11 Oct 2010 14:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Mon, 11 Oct 2010 14:09:04 GMT) Full text and rfc822 format available.

Message #28 received at 599303@bugs.debian.org (full text, mbox):

From: Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>
To: Evgeni Golov <evgeni@debian.org>, 599303-quiet@bugs.debian.org
Cc: 599303@bugs.debian.org, 599303-submitter@bugs.debian.org
Subject: Re: Bug#599303: #599303 - ktoon: KToon crashes with Signal 11
Date: Mon, 11 Oct 2010 09:07:57 -0500
[Message part 1 (text/plain, inline)]
> I am unable to reproduce your ktoon bug. Neither on Sid-amd64, nor on
> Squeeze-amd64 or Squeeze-i386.
I've only tested on Squeeze i386; actually this is Sid but most packages seem to be frozen to the Squeeze release versions.

> Do you maybe have an old config or something, that makes ktoon go crazy?
Actually, I have no config file and ktoon doesn't seem to want to create one, but the folder does exist:

[code]
jthomas:08:50:~$ ktoon 
[Initializing DApplication]
[Initializing DConfig]
[Initializing DConfigDocument]
*********Init configuration file : "/home/jthomas/.ktoon/ktoon.cfg"
ktoon(27762)/ KSycocaPrivate::openDatabase: Trying to open ksycoca from  "/var/tmp/kdecache-jthomas/ksycoca4"
ktoon(27762)/ KSharedDataCache::Private::mapSharedMemory: Opening cache "/var/tmp/kdecache-jthomas/icon-cache.kcache" page size is 4096
ktoon(27762)/ KSharedDataCache::Private::mapSharedMemory: Attached to cache, determining if it must be initialized
ktoon(27762)/ KSharedDataCache::Private::mapSharedMemory: Cache fully initialized -- attached to memory mapping
ktoon(27762)/ KSharedDataCache::Private::mapSharedMemory: 4345856 bytes available out of 10485760
ktoon is crashing with signal 11 :(

@jthomas:09:03:~$ ls -la /home/jthomas/.ktoon/ktoon.cfg
ls: cannot access /home/jthomas/.ktoon/ktoon.cfg: No such file or directory

jthomas:09:04:~$ ls -la /home/jthomas/.ktoon
total 32
drwxr-xr-x   2 jthomas jthomas  4096 Oct  6 09:05 .
drwx---r-x 155 jthomas jthomas 28672 Oct 11 09:03 ..
[/code]

If I touch the file, ktoon doesn't seem to like that either:

[code]
jthomas:09:04:~$ touch /home/jthomas/.ktoon/ktoon.cfg

jthomas:09:04:~$ ktoon 
[Initializing DApplication]
[Initializing DConfig]
[Initializing DConfigDocument]
"Configuration file is corrupted 1:1: unexpected end of file"
*********Init configuration file : "/home/jthomas/.ktoon/ktoon.cfg"
"Configuration file is corrupted 1:1: unexpected end of file"
Calling appendChild() on a null node does nothing.
ktoon(27780)/ KSycocaPrivate::openDatabase: Trying to open ksycoca from  "/var/tmp/kdecache-jthomas/ksycoca4"
ktoon(27780)/ KSharedDataCache::Private::mapSharedMemory: Opening cache "/var/tmp/kdecache-jthomas/icon-cache.kcache" page size is 4096
ktoon(27780)/ KSharedDataCache::Private::mapSharedMemory: Attached to cache, determining if it must be initialized
ktoon(27780)/ KSharedDataCache::Private::mapSharedMemory: Cache fully initialized -- attached to memory mapping
ktoon(27780)/ KSharedDataCache::Private::mapSharedMemory: 4345856 bytes available out of 10485760
ktoon is crashing with signal 11 :(
[/code]

I hope this helps.  Thanks for your assistance with this.

Jeffrey
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#599303; Package ktoon. (Mon, 11 Oct 2010 14:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>:
Extra info received and filed, but not forwarded. (Mon, 11 Oct 2010 14:09:06 GMT) Full text and rfc822 format available.

Message sent on to Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>:
Bug#599303. (Mon, 11 Oct 2010 14:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#599303; Package ktoon. (Wed, 13 Oct 2010 19:03:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <mindboosternoori@gmail.com>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Wed, 13 Oct 2010 19:03:24 GMT) Full text and rfc822 format available.

Message #41 received at 599303@bugs.debian.org (full text, mbox):

From: Marcos Marado <mindboosternoori@gmail.com>
To: 599303@bugs.debian.org
Subject: Re: Bug#599303: #599303 - ktoon: KToon crashes with Signal 11
Date: Wed, 13 Oct 2010 20:03:33 +0100
I actually have a configfile (from when I was running this package - this 
version - on lenny, where it works), but the error is exactly the same.

If I move .ktoon to the side, it doesn't show the "Configuration file is 
corrupted" part, but only:

ktoon(24844)/ KSycocaPrivate::openDatabase: Trying to open ksycoca 
from  "/var/tmp/kdecache-marado/ksycoca4"
ktoon is crashing with signal 11 :(

After that, using the new .ktoon (that was generated previously), the error 
message is only, and allways the 

KSycocaPrivate::openDatabase: Trying to open ksycoca 
from  "/var/tmp/kdecache-marado/ksycoca4"
ktoon is crashing with signal 11 :(

As you can see in one Mandriva forum[1], this bug also affects (or affected?) 
their ktoon.

I built the debian package from source and the same thing happens.

I tested upstream's first version after 0.8.1 that has .deb packages:
# wget http://download.berlios.de/ktoon/ktoon_0.9a-git01_i386.deb
# wget http://download.berlios.de/ktoon/kom_0.9a-git01_i386.deb
# dpkg -i ktoon_0.9a-git01_i386.deb kom_0.9a-git01_i386.deb   
and now ktoon works correctly. 

So, I decided to fetch the source code from the first version at all of ktoon 
0.9 (0.9a-rev1558) and compile it from source to see if the problem was 
already solved there or not. Guess what: no problem with that one. Just for 
the sake of sanity, I uninstalled everything back, and re-installed debian's 
ktoon. Now, THIS was unexpected: ktoon is now working! I moved the .ktoon 
directory to the side, and tried from scratch: the problem came back.

SO...
Basicly if I have an "working .ktoon directory" I don't have problems, if I 
have the .ktoon directory that is generated by debian's ktoon itself (even if 
it has a ktoon.cfg created with this ktoon version running on a lenny 
environment), ktoon kabooms. What differs?

diff -ru .ktoon-crash//ktoon.cfg .ktoon-works//ktoon.cfg
--- .ktoon-crash//ktoon.cfg     2010-10-13 18:09:34.000000000 +0100
+++ .ktoon-works//ktoon.cfg     2010-10-13 19:43:00.000000000 +0100
@@ -1,13 +1,20 @@
-/* Generated By:JavaCC: Do not edit this line. Token.java Version 3.0 */
-package org.apache.lucene.demo.html;
+<?xml version='1.0' encoding='UTF-8'?>
+<Config>
+ <General>
+  <Home value="/usr"/>
+  <Cache value="/tmp"/>
+  <LastProject value=""/>
+  <Recents value=""/>
+  <recents value=""/>
+ </General>
+ <ColorPalette>
+  <LastForegroundColor value="#000000"/>
+  <LastBackgroundColor value="#000000"/>
+  <LastPalette value="0"/>
+ </ColorPalette>
+ <PenParameters/>
+ <TipOfDay>
+  <ShowOnStart value="false"/>
+ </TipOfDay>
+</Config>

-/**
- * Describes the input token stream.
- */
-
-public class Token {
-
-  /**
-   * An integer that describes the kind of this token.  This numbering
-   * system is determined by JavaCCParser, and a table of these numbers is
-   * stored in the file ...Constants.
Binary files .ktoon-crash//palettes/Custom Color Palette.ktpl 
and .ktoon-works//palettes/Custom Color Palette.ktpl differ
Binary files .ktoon-crash//palettes/Custom Gradient Palette.ktpl 
and .ktoon-works//palettes/Custom Gradient Palette.ktpl differ

So, I copy the ktoon.cfg from the working version to the crashing version, and 
the crashing version no longer crashes.

====== TO SUM UP: =======

* issue #1: ktoon fails to generate a ktoon.cfg file 
* issue #2: ktoon crashes when an invalid ktoon.cfg file is present
* note #1: this no longer happens in ktoon 0.9a (any of the versions tested)
* note #2: this only happens if you're using this on testing or unstable, if 
  you're using it on lenny it will run well.
* note #3: the config file generated in the lenny environment if completelly 
   different from what it is now... I don't understand anything about how this 
   config file is generated or parsed, but maybe this is happening because 
   ktoon is expecting javacc 4 and now we have javacc 5 on lenny? Note that 
   this can be something completely nonsense, I'm just saying that because 
   the "old config file" starts with a comment saying "Generated 
   By:JavaCC" ...
* note #4: since upstream says that anybody should use ktoon 0.9... shouldn't 
   also debian? I know that this is probably too late for squeeze, but it 
   might be the easiest way to fix this bug, if it really is a problem of 
   depending on javacc 4...

[1] http://forum.mandriva.com/viewtopic.php?t=127913
-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#599303; Package ktoon. (Sat, 13 Nov 2010 15:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dr. David Alan Gilbert" <debian@treblig.org>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Sat, 13 Nov 2010 15:06:06 GMT) Full text and rfc822 format available.

Message #46 received at 599303@bugs.debian.org (full text, mbox):

From: "Dr. David Alan Gilbert" <debian@treblig.org>
To: 599303@bugs.debian.org
Subject: Managed to reproduce
Date: Sat, 13 Nov 2010 14:41:14 +0000
Hi,
  OK - I managed to reproduce this but it's a little subtle.

If you run ktoon under a Gnome desktop it works fine.
If you install KDE but still are running under Gnome it works fine.
If you actually start a KDE session then it does segfault.

(On Squeeze up to date as of now).

Dave
-- 
 -----Open up your eyes, open up your mind, open up your code -------   
/ Dr. David Alan Gilbert    |       Running GNU/Linux       | Happy  \ 
\ gro.gilbert @ treblig.org |                               | In Hex /
 \ _________________________|_____ http://www.treblig.org   |_______/




Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#599303; Package ktoon. (Sat, 13 Nov 2010 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dr. David Alan Gilbert" <dave@treblig.org>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Sat, 13 Nov 2010 17:45:03 GMT) Full text and rfc822 format available.

Message #51 received at 599303@bugs.debian.org (full text, mbox):

From: "Dr. David Alan Gilbert" <dave@treblig.org>
To: 599303@bugs.debian.org
Subject: And a bit more of a backtrace
Date: Sat, 13 Nov 2010 17:42:37 +0000
#0  0xb66edaee in ?? () from /usr/lib/kde4/plugins/gui_platform/libkde.so
#1  0xb79941fa in QFileDialogPrivate::setVisible_sys (this=0x8343c00, 
    visible=false) at dialogs/qfiledialog_p.h:411
    inline bool QFileDialogPrivate::setVisible_sys(bool visible) { return qt_guiPlatformPlugin()->fileDialogSetVisible(q_func(), visible); }
#2  0x0809a5dc in QWidget::hide (this=0x82296d8, parent=0x0)
    at /usr/include/qt4/QtGui/qwidget.h:489
489         inline void hide() { setVisible(false); }
#3  CWSecondPage (this=0x82296d8, parent=0x0) at configwizard.cpp:118
118             fd->hide();
(gdb) p *this
$3 = {<> = {<No data fields>}, static staticMetaObject = {d = {
      superdata = 0x81727e8, stringdata = 0x813f970 "CWSecondPage", 
      data = 0x813f920, extradata = 0x0}}, m_kthome = 0x8343158, 
  m_ktrepos = 0xb6ee03d0}

#4  0x0809b87c in ConfigWizard (this=0x81ea3c8) at configwizard.cpp:45
45              m_secondPage = new CWSecondPage;
#5  0x08099a9f in KTApplication::firstRun (this=0xbffff288)
    at ktapplication.cpp:42
42              ConfigWizard *firstDialog = new ConfigWizard;
#6  0x08074fb6 in main (argc=1, argv=0xbffff4f4) at main.cpp:89
89                      if ( ! application.firstRun() )

-- 
 -----Open up your eyes, open up your mind, open up your code -------   
/ Dr. David Alan Gilbert    |       Running GNU/Linux       | Happy  \ 
\ gro.gilbert @ treblig.org |                               | In Hex /
 \ _________________________|_____ http://www.treblig.org   |_______/




Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#599303; Package ktoon. (Sun, 14 Nov 2010 15:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dr. David Alan Gilbert" <debian@treblig.org>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Sun, 14 Nov 2010 15:57:03 GMT) Full text and rfc822 format available.

Message #56 received at 599303@bugs.debian.org (full text, mbox):

From: "Dr. David Alan Gilbert" <debian@treblig.org>
To: 599303@bugs.debian.org
Subject: hacky patch and link
Date: Sun, 14 Nov 2010 15:54:21 +0000
Hi,
  I believe the cause of this bug is a missing NULL check in kdebase-workspace;
I've filed a bug for it as bug 603480, that causes a seg if hiding a file dialog
before making it visible.

The following hacky patch to ktoon works around the bug in kdebase-workspace
and solves this problem; but I think the right thing is to fix kdebase-workspace.

Dave



--- ktoon-0.8.1/src/core/configwizard.cpp	2007-06-15 03:33:07.000000000 +0100
+++ ktoon-0.8.1-daveg/src/core/configwizard.cpp	2010-11-14 15:49:54.000000000 +0000
@@ -115,6 +115,7 @@
 	connect(fd, SIGNAL(currentChanged ( const QString & )), m_kthome, SLOT(setText(const QString &)));
 	fd->setFileMode(QFileDialog::Directory);
 	fd->setModal(true);
+	fd->show(); /* DAG */
 	fd->hide();
 	connect(button, SIGNAL(clicked()), fd, SLOT(show()));
 	
@@ -131,6 +132,7 @@
 	QFileDialog *fd2 = new QFileDialog(hbox2);
 	connect(fd2, SIGNAL(currentChanged ( const QString & )), m_ktrepos, SLOT(setText(const QString &)));
 	
+	fd2->show(); /* DAG */
 	fd2->hide();
 	fd2->setFileMode(QFileDialog::Directory);
 	fd2->setModal(true);


-- 
 -----Open up your eyes, open up your mind, open up your code -------   
/ Dr. David Alan Gilbert    |       Running GNU/Linux       | Happy  \ 
\ gro.gilbert @ treblig.org |                               | In Hex /
 \ _________________________|_____ http://www.treblig.org   |_______/




Added tag(s) patch. Request was from "Dr. David Alan Gilbert" <debian@treblig.org> to control@bugs.debian.org. (Sun, 14 Nov 2010 17:06:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 599303: 603480 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 27 Nov 2010 17:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#599303; Package ktoon. (Sun, 28 Nov 2010 12:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Sun, 28 Nov 2010 12:15:06 GMT) Full text and rfc822 format available.

Message #65 received at 599303@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: "Dr. David Alan Gilbert" <debian@treblig.org>, 599303@bugs.debian.org
Subject: Re: Bug#599303: hacky patch and link
Date: Sun, 28 Nov 2010 13:13:17 +0100
[Message part 1 (text/plain, inline)]
On Sun, 14 Nov 2010 15:54:21 +0000, Dr. David Alan Gilbert wrote:

>   I believe the cause of this bug is a missing NULL check in kdebase-workspace;
> I've filed a bug for it as bug 603480, that causes a seg if hiding a file dialog
> before making it visible.
> 
> The following hacky patch to ktoon works around the bug in kdebase-workspace
> and solves this problem; but I think the right thing is to fix kdebase-workspace.

603480 in kdebase-workspace is closed now; could someone please try
again ktoon?
 
Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #388:  Bad user karma. 
[signature.asc (application/pgp-signature, inline)]

Reply sent to "Didier 'OdyX' Raboud" <didier@raboud.com>:
You have taken responsibility. (Tue, 30 Nov 2010 15:15:08 GMT) Full text and rfc822 format available.

Notification sent to Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>:
Bug acknowledged by developer. (Tue, 30 Nov 2010 15:15:08 GMT) Full text and rfc822 format available.

Message #70 received at 599303-done@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: 599303-done@bugs.debian.org
Cc: gregor herrmann <gregoa@debian.org>, 599303-submitter@bugs.debian.org, "Dr. David Alan Gilbert" <debian@treblig.org>
Subject: #599303: ktoon: Fixed with kdebase-workspace 4:4.4.5-5
Date: Tue, 30 Nov 2010 16:12:16 +0100
[Message part 1 (text/plain, inline)]
Version: 0.8.1-4.1

Hi,

I just checked and I could run ktoon without problems with kdebase-workspace 
4:4.4.5-5 (where it crashes with -4); hence marking this bug as closed.

Please re-open if needed.

Cheers,

OdyX
-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com
[signature.asc (application/pgp-signature, inline)]

Message sent on to Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>:
Bug#599303. (Tue, 30 Nov 2010 15:15:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#599303; Package ktoon. (Tue, 30 Nov 2010 15:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Tue, 30 Nov 2010 15:27:08 GMT) Full text and rfc822 format available.

Message #78 received at 599303@bugs.debian.org (full text, mbox):

From: Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>
To: 599303@bugs.debian.org
Subject: #599303: ktoon: Fixed with kdebase-workspace 4:4.4.5-5
Date: Tue, 30 Nov 2010 09:24:27 -0600
[Message part 1 (text/plain, inline)]
> I just checked and I could run ktoon without problems with kdebase-workspace 
> 4:4.4.5-5 (where it crashes with -4); hence marking this bug as closed.

Running KDE 4.5.3 and KToon 0.8.1-4.1+b1 on Sid and I am still getting the crash; I've never successfully started KToon.  Additionally, there is still not a dbg package.  I don't think this should be closed...


#jthomas@jthomas:09:23:~$ rm -rf  /home/jthomas/.ktoon/
#
#jthomas@jthomas:09:23:~$ ktoon
[Initializing DApplication]
[Initializing DConfig]
"/home/jthomas/.ktoon not exists... creating..."
[Initializing DConfigDocument]
*********Init configuration file : "/home/jthomas/.ktoon/ktoon.cfg"
ktoon is crashing with signal 11 :(
^C
#
#jthomas@jthomas:09:23:~$ ktoon -r
[Initializing DApplication]
[Initializing DConfig]
[Initializing DConfigDocument]
*********Init configuration file : "/home/jthomas/.ktoon/ktoon.cfg"
ktoon is crashing with signal 11 :(
^C
#
#jthomas@jthomas:09:23:~$ cat /home/jthomas/.ktoon/ktoon.cfg
cat: /home/jthomas/.ktoon/ktoon.cfg: No such file or directory
#
#jthomas@jthomas:09:23:~$
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#599303; Package ktoon. (Tue, 30 Nov 2010 16:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Tue, 30 Nov 2010 16:39:02 GMT) Full text and rfc822 format available.

Message #83 received at 599303@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>, 599303@bugs.debian.org
Cc: Didier 'OdyX' Raboud <didier@raboud.com>
Subject: Re: Bug#599303: #599303: ktoon: Fixed with kdebase-workspace 4:4.4.5-5
Date: Tue, 30 Nov 2010 17:34:29 +0100
[Message part 1 (text/plain, inline)]
On Tue, 30 Nov 2010 09:24:27 -0600, Jeffrey G Thomas wrote:

> > I just checked and I could run ktoon without problems with kdebase-workspace 
> > 4:4.4.5-5 (where it crashes with -4); hence marking this bug as closed.
> Running KDE 4.5.3 and KToon 0.8.1-4.1+b1 on Sid and I am still getting the crash; 

Which version of kdebase-workspace have you installed?

$ dpkg -l kdebase-workspace

If it's not 4:4.4.5-5 please upgrade and try again.

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: U2: Indian Summer Sky
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#599303; Package ktoon. (Tue, 30 Nov 2010 16:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Tue, 30 Nov 2010 16:48:05 GMT) Full text and rfc822 format available.

Message #88 received at 599303@bugs.debian.org (full text, mbox):

From: Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>
To: 599303@bugs.debian.org
Subject: Re: Bug#599303: #599303: ktoon: Fixed with kdebase-workspace 4:4.4.5-5
Date: Tue, 30 Nov 2010 10:45:28 -0600
[Message part 1 (text/plain, inline)]
> Which version of kdebase-workspace have you installed?

$ dpkg -l kdebase-workspace
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                            Version                                         Description
+++-===============================================-===============================================-
ii  kdebase-workspace                               4:4.5.1-0r2                                     KDE Plasma Workspace components

> If it's not 4:4.4.5-5 please upgrade and try again.

It's newer than 4:4.4.5-5, from the Experimental branch for KDE:
> deb http://qt-kde.debian.net/debian experimental-snapshots main
> deb-src http://qt-kde.debian.net/debian experimental-snapshots main

Thanks again,

Jeffrey
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#599303; Package ktoon. (Tue, 30 Nov 2010 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. (Tue, 30 Nov 2010 16:57:04 GMT) Full text and rfc822 format available.

Message #93 received at 599303@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: Jeffrey G Thomas <Jeffrey.Thomas@sierra-bravo.com>
Cc: 599303@bugs.debian.org
Subject: Re: #599303: ktoon: Fixed with kdebase-workspace 4:4.4.5-5
Date: Tue, 30 Nov 2010 17:53:21 +0100
[Message part 1 (text/plain, inline)]
Le Tuesday 30 November 2010 16:24:27 Jeffrey G Thomas, vous avez écrit :
> > I just checked and I could run ktoon without problems with
> > kdebase-workspace 4:4.4.5-5 (where it crashes with -4); hence marking
> > this bug as closed.
> 
> Running KDE 4.5.3 (…)

There is no KDE 4.5.3 in the Debian archive now; you are probably using the 
packages from http://qt-kde.debian.net/ which are not supported in Debian.

(In your case, the kdebase-workspace 4:4.5.1-0r2 which sits there has not been 
rebuilt with the patch uploaded in 4:4.4.5-5 to fix this bug.)

> and KToon 0.8.1-4.1+b1 on Sid and I am still getting the
> crash; I've never successfully started KToon.  Additionally, there is
> still not a dbg package.  I don't think this should be closed...

It should: the fix is in Sid and will migrate to Squeeze. Non-official packages 
are, well, non-official.

The -dbg package is another issue, which you might want to file separately.

Cheers, 

OdyX, Qt-KDE team member

-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com
[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as found in versions ktoon/0.8.1-4.1. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Fri, 10 Dec 2010 14:42:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 07:39:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:42:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.